Package com.pixelmed.network

## Class NetworkApplicationConfigurationDialog

- java.lang.Object
- - com.pixelmed.network.NetworkApplicationConfigurationDialog

-     public class NetworkApplicationConfigurationDialog
      extends java.lang.Object

  This class provides user interface for network applications to configure and test properties related to DICOM network services.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `protected class` | `NetworkApplicationConfigurationDialog.AddRemoteAEActionListener` |
    `protected class` | `NetworkApplicationConfigurationDialog.DoneActionListener` |
    `protected class` | `NetworkApplicationConfigurationDialog.EditRemoteAEActionListener` |
    `protected class` | `NetworkApplicationConfigurationDialog.RemoveRemoteAEActionListener` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected javax.swing.JTextField` | `acceptorMaximumLengthReceivedField` |
    `protected javax.swing.JTextField` | `acceptorSocketReceiveBufferSizeField` |
    `protected javax.swing.JTextField` | `acceptorSocketSendBufferSizeField` |
    `protected javax.swing.JTextField` | `calledAETitleField` |
    `protected javax.swing.JTextField` | `callingAETitleField` |
    `protected javax.swing.JTextField` | `initiatorMaximumLengthReceivedField` |
    `protected javax.swing.JTextField` | `initiatorSocketReceiveBufferSizeField` |
    `protected javax.swing.JTextField` | `initiatorSocketSendBufferSizeField` |
    `protected javax.swing.JTextField` | `listeningPortField` |
    `protected NetworkApplicationInformation` | `networkApplicationInformation` |
    `protected NetworkApplicationProperties` | `networkApplicationProperties` |
    `protected java.util.ResourceBundle` | `resourceBundle` |
    `protected static java.lang.String` | `resourceBundleName` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NetworkApplicationConfigurationDialog​(java.awt.Component parent, NetworkApplicationInformation networkApplicationInformation, NetworkApplicationProperties networkApplicationProperties)` | Configure and test network information.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `main​(java.lang.String[] arg)` | Test the editing of network properties from the specified file.
    `protected java.lang.String` | `showInputDialogToSelectNetworkTargetByLocalApplicationEntityName​(java.awt.Component parent, NetworkApplicationInformation networkApplicationInformation, java.lang.String message, java.lang.String title)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### resourceBundleName

          protected static java.lang.String resourceBundleName

    - #### resourceBundle

          protected java.util.ResourceBundle resourceBundle

    - #### networkApplicationInformation

          protected NetworkApplicationInformation networkApplicationInformation

    - #### networkApplicationProperties

          protected NetworkApplicationProperties networkApplicationProperties

    - #### calledAETitleField

          protected javax.swing.JTextField calledAETitleField

    - #### callingAETitleField

          protected javax.swing.JTextField callingAETitleField

    - #### listeningPortField

          protected javax.swing.JTextField listeningPortField

    - #### acceptorMaximumLengthReceivedField

          protected javax.swing.JTextField acceptorMaximumLengthReceivedField

    - #### acceptorSocketReceiveBufferSizeField

          protected javax.swing.JTextField acceptorSocketReceiveBufferSizeField

    - #### acceptorSocketSendBufferSizeField

          protected javax.swing.JTextField acceptorSocketSendBufferSizeField

    - #### initiatorMaximumLengthReceivedField

          protected javax.swing.JTextField initiatorMaximumLengthReceivedField

    - #### initiatorSocketReceiveBufferSizeField

          protected javax.swing.JTextField initiatorSocketReceiveBufferSizeField

    - #### initiatorSocketSendBufferSizeField

          protected javax.swing.JTextField initiatorSocketSendBufferSizeField

  - ### Constructor Detail

    - #### NetworkApplicationConfigurationDialog

          public NetworkApplicationConfigurationDialog​(java.awt.Component parent,
                                                       NetworkApplicationInformation networkApplicationInformation,
                                                       NetworkApplicationProperties networkApplicationProperties)
                                                throws DicomNetworkException

      Configure and test network information.

      Parameters:
        `parent` - the parent component on which the new dialog is centered, may be null in which case centered on the screen
        `networkApplicationInformation` - the current information whose contents are to be replaced with updated information
        `networkApplicationProperties` - the static properties that are to be edited
      Throws:
        `DicomNetworkException`

  - ### Method Detail

    - #### showInputDialogToSelectNetworkTargetByLocalApplicationEntityName

          protected java.lang.String showInputDialogToSelectNetworkTargetByLocalApplicationEntityName​(java.awt.Component parent,
                                                                                                      NetworkApplicationInformation networkApplicationInformation,
                                                                                                      java.lang.String message,
                                                                                                      java.lang.String title)

    - #### main

          public static void main​(java.lang.String[] arg)

      Test the editing of network properties from the specified file.

      Parameters:
        `arg` - a single file name that is the properties file